Bug 8694 - /etc/inputrc could be improved
Summary: /etc/inputrc could be improved
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: setup   
(Show other bugs)
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-21 10:35 UTC by nils
Modified: 2014-03-17 02:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-01 20:38:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description nils 2000-01-21 10:35:46 UTC
/etc/inputrc "connects" PgUp and PgDwn to "beginning-of-history" and
"end-of-history". It would be much more useful if these were
"history-search-backward" and "history-search-forward". Maybe "beginning-"
and "end-of-history" could be reached with modifiers.

Another point is that users' .inputrc files are ignored. It is trivial to
do something like this:

--- 8< --- /etc/profile ---
if [ -f ~/.inputrc]; then
  INPUTRC=~/.inputrc
else
  INPUTRC=/etc/inputrc
fi
export INPUTRC
--- 8< ---

Bye,
Nils

Comment 1 Bill Nottingham 2000-01-21 17:31:59 UTC
The sourcing of user's .inputrc is fixed in the setup/etcskel
in Raw Hide.

Comment 2 Bill Nottingham 2000-02-01 20:38:59 UTC
... and as for the rest, I'm a little leery of changing
the default keybindings too much in a point release.


Note You need to log in before you can comment on or make changes to this bug.